Bug 1129599

Summary: gnome-shell hangs using 100% CPU at login
Product: [Fedora] Fedora Reporter: Adam Huffman <bloch>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: balleman-rh, fmuellner, otaylor, samkraju, walters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 22:02:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adam Huffman 2014-08-13 10:23:46 UTC
Description of problem:
I had a problem with X crashing when using the GNOME desktop, so I had switched to KDE and XFCE for a while, but there have been a few kernel upgrades since I made this change and I was hoping to return to GNOME (it seems to be an intermittent problem with the Intel X driver, that's much more often triggered under GNOME). Anyway, when I login via GDM with my main user account, the gnome-shell process appears to hang, taking up 100% of the CPU according to CPU, and login doesn't complete i.e. I'm stuck on the screen with the grey background and the normal desktop doesn't appear. I do have a second user account for testing and I am able to login under that account, though things are very slow, including GDM.

Version-Release number of selected component (if applicable):
gnome-shell-3.10.4-8.fc20.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Login as normal account via GDM
2.
3.

Actual results:
gnome-shell hangs and login doesn't complete

Expected results:
Login completes as normal

Additional info:

Comment 1 Adam Huffman 2014-11-05 12:53:31 UTC
This is still happening with the latest update:

gnome-shell-3.10.4-9.fc20.x86_64

Comment 2 Fedora End Of Life 2015-05-29 12:37:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 22:02:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.